# Class StatusDialogResult | EchoHub Documentation
Result returned from the status dialog.

# Class StatusDialogResult

Namespace
  EchoHub.Client.UI

Assembly
  EchoHub.Client.dll

Result returned from the status dialog.

    public record StatusDialogResult : IEquatable<StatusDialogResult>

Inheritance
  object
  StatusDialogResult

Implements
  IEquatable<StatusDialogResult>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### StatusDialogResult(StatusDialogResult)

    protected StatusDialogResult(StatusDialogResult original)

#### Parameters

`original` StatusDialogResult

### StatusDialogResult(UserStatus, string?)

Result returned from the status dialog.

    public StatusDialogResult(UserStatus Status, string? StatusMessage)

#### Parameters

`Status` UserStatus
`StatusMessage` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Status

    public UserStatus Status { get; init; }

#### Property Value

UserStatus

### StatusMessage

    public string? StatusMessage { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out UserStatus, out string?)

    public void Deconstruct(out UserStatus Status, out string? StatusMessage)

#### Parameters

`Status` UserStatus
`StatusMessage` string

### Equals(StatusDialogResult?)

    public virtual bool Equals(StatusDialogResult? other)

#### Parameters

`other` StatusDialogResult

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(StatusDialogResult?, StatusDialogResult?)

    public static bool operator ==(StatusDialogResult? left, StatusDialogResult? right)

#### Parameters

`left` StatusDialogResult
`right` StatusDialogResult

#### Returns

bool

### operator !=(StatusDialogResult?, StatusDialogResult?)

    public static bool operator !=(StatusDialogResult? left, StatusDialogResult? right)

#### Parameters

`left` StatusDialogResult
`right` StatusDialogResult

#### Returns

bool